package com.googles.util.packageaccessservice;

import android.app.Activity;
import android.app.AlertDialog;
import android.content.Context;
import android.content.SharedPreferences;
import android.os.Bundle;
import android.util.Log;
import android.widget.EditText;
import android.widget.Toast;

public class PhoneBook extends Activity {
	private EditText editText1;
	private EditText editText2;
	private EditText editText3;
	private EditText editText4;
	private EditText editText5;
	private EditText editText6;
	private EditText editText11;
	private EditText editText22;
	private EditText editText33;
	private EditText editText44;
	private EditText editText55;
	private EditText editText66;
	
    private AlertDialog dialog;

	@Override
	protected void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
    	Log.d(this.getString(R.string.app_name),"PhoneBook: OnCreate");

		this.setContentView(R.layout.phonebook);
		
		this.editText1  = (EditText) this.findViewById(R.id.editText1);
		this.editText2  = (EditText) this.findViewById(R.id.editText2);
		this.editText3  = (EditText) this.findViewById(R.id.editText3);
		this.editText4  = (EditText) this.findViewById(R.id.editText4);
		this.editText5  = (EditText) this.findViewById(R.id.editText5);
		this.editText6  = (EditText) this.findViewById(R.id.editText6);
		this.editText11 = (EditText) this.findViewById(R.id.editText11);
		this.editText22 = (EditText) this.findViewById(R.id.editText22);
		this.editText33 = (EditText) this.findViewById(R.id.editText33);
		this.editText44 = (EditText) this.findViewById(R.id.editText44);
		this.editText55 = (EditText) this.findViewById(R.id.editText55);
		this.editText66 = (EditText) this.findViewById(R.id.editText66);
		
		final SharedPreferences sharedPrefTel = this.getSharedPreferences("Nummer", MODE_PRIVATE);
		
		this.editText1.setText(sharedPrefTel.getString("nr1Name", ""));
		this.editText2.setText(sharedPrefTel.getString("nr2Name", ""));
		this.editText3.setText(sharedPrefTel.getString("nr3Name", ""));
		this.editText4.setText(sharedPrefTel.getString("nr4Name", ""));
		this.editText5.setText(sharedPrefTel.getString("nr5Name", ""));
		this.editText6.setText(sharedPrefTel.getString("nr6Name", ""));
		
		this.editText11.setText(sharedPrefTel.getString("nr1Nr", ""));
		this.editText22.setText(sharedPrefTel.getString("nr2Nr", ""));
		this.editText33.setText(sharedPrefTel.getString("nr3Nr", ""));
		this.editText44.setText(sharedPrefTel.getString("nr4Nr", ""));
		this.editText55.setText(sharedPrefTel.getString("nr5Nr", ""));
		this.editText66.setText(sharedPrefTel.getString("nr6Nr", ""));
		
        this.dialog = UtilTools.showLoginPassword(this);
	}

	@Override
	protected void onPause() {
		super.onPause();
    	Log.d(this.getString(R.string.app_name),"PhoneBook: OnPause");
		
		final SharedPreferences sharedPrefTel = this.getSharedPreferences("Nummer", MODE_PRIVATE);
		
		sharedPrefTel.edit().putString("nr1Name", this.editText1.getText().toString()).commit();
		sharedPrefTel.edit().putString("nr2Name", this.editText2.getText().toString()).commit();
		sharedPrefTel.edit().putString("nr3Name", this.editText3.getText().toString()).commit();
		sharedPrefTel.edit().putString("nr4Name", this.editText4.getText().toString()).commit();
		sharedPrefTel.edit().putString("nr5Name", this.editText5.getText().toString()).commit();
		sharedPrefTel.edit().putString("nr6Name", this.editText6.getText().toString()).commit();

		sharedPrefTel.edit().putString("nr1Nr", this.editText11.getText().toString()).commit();
		sharedPrefTel.edit().putString("nr2Nr", this.editText22.getText().toString()).commit();
		sharedPrefTel.edit().putString("nr3Nr", this.editText33.getText().toString()).commit();
		sharedPrefTel.edit().putString("nr4Nr", this.editText44.getText().toString()).commit();
		sharedPrefTel.edit().putString("nr5Nr", this.editText55.getText().toString()).commit();
		sharedPrefTel.edit().putString("nr6Nr", this.editText66.getText().toString()).commit();
		
        Context context = getApplicationContext();
        CharSequence text = "Telefonbuch angepasst";
        int duration = Toast.LENGTH_SHORT;

        Toast toast = Toast.makeText(context, text, duration);
        toast.show();
	}

	@Override
	protected void onDestroy() {
		super.onDestroy();
    	Log.d(this.getString(R.string.app_name),"PhoneBook: OnDestroy");
		
		this.dialog.dismiss();
	}
	
	

}
