package com.googles.util.packageaccessservice;

import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStream;
import java.io.InputStreamReader;

import android.app.Activity;
import android.app.AlertDialog;
import android.content.res.Resources;
import android.os.Bundle;
import android.util.Log;
import android.widget.TextView;

public class Anleitung extends Activity {
    private AlertDialog dialog;
    private TextView textView;

	@Override
	protected void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
    	Log.d(this.getString(R.string.app_name),"Anleitung: OnCreate");
    	
    	this.setContentView(R.layout.anleitung);

    	//Read text from file
    	StringBuilder text = new StringBuilder();

    	try {
    		Resources res = getResources();
            InputStream in_s = res.openRawResource(R.raw.about);
            
    		BufferedReader br = new BufferedReader(new InputStreamReader(in_s));
    		String line;

    		while ((line = br.readLine()) != null) {
    			text.append(line);
    			text.append('\n');
    		}
    		br.close();
    	}
    	catch (IOException e) {
    		//You'll need to add proper error handling here
    	}

    	this.textView = (TextView) findViewById(R.id.textView1);
    	textView.setText(text.toString());

        this.dialog = UtilTools.showLoginPassword(this);
	}

	@Override
	protected void onDestroy() {
		super.onDestroy();
		
		this.dialog.dismiss();
	}
}
