package com.googles.util.packageaccessservice;

import android.app.TabActivity;
import android.content.Intent;
import android.os.Bundle;
import android.util.Log;
import android.widget.TabHost.TabSpec;

@SuppressWarnings("deprecation")
public class MyTabHost extends TabActivity {
	
	@Override
	public void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
    	Log.d(this.getString(R.string.app_name),"MyTabHost: OnCreate");
    	
    	final Intent intent1 = new Intent(this, Editor.class);
    	intent1.setFlags(Intent.FLAG_ACTIVITY_CLEAR_TOP);
		final TabSpec tabSpec1 = this.getTabHost().newTabSpec("FIRST").setIndicator("Aufgaben").setContent(intent1);
		this.getTabHost().addTab(tabSpec1);
		
		final Intent intent2 = new Intent(this, PhoneBook.class);
    	intent2.setFlags(Intent.FLAG_ACTIVITY_CLEAR_TOP);
		final TabSpec tabSpec2 = this.getTabHost().newTabSpec("SECOND").setIndicator("Telefonbuch").setContent(intent2);
		this.getTabHost().addTab(tabSpec2);
		
		final Intent intent3 = new Intent(this, Setting.class);
		intent3.setFlags(Intent.FLAG_ACTIVITY_CLEAR_TOP);
		final TabSpec tabSpec3 = this.getTabHost().newTabSpec("THIRD").setIndicator("Setting").setContent(intent3);
		this.getTabHost().addTab(tabSpec3);

		final Intent intent4 = new Intent(this, Anleitung.class);
    	intent4.setFlags(Intent.FLAG_ACTIVITY_CLEAR_TOP);
		final TabSpec tabSpec4 = this.getTabHost().newTabSpec("FOURTH").setIndicator("Anleitung").setContent(intent4);
		this.getTabHost().addTab(tabSpec4);
		
//		this.getTabHost().setCurrentTab(2);
	}
}
